old_request_format = {
    user=user, -- requesting user
    type="add_member", -- action
    params={user} -- action params
}

old_process_format = {
    type = "consent", -- delete
    id = nil,
    org_id = nil,
    request_id = nil, -- delete

    -- consent config
    majority_to_pass = 0.51, -- voting threshold
    votes_needed = nil,

    -- consent data
    total_votes = 0,
    votes_yes = {},
    votes_no = {}
}

new_process_format = {
    initiator = "user",
    status = "request",
    org_id = 12314,
    module = "create_child_org", -- policy table lookup
    process_id = 8347,
    timestamp = 1632850133, -- look into supporting other formats, overrides (turn based, etc.)

    data = {
        child_org_name = "oligarchy"
    },

    consent = {
        -- voter eligibilty frozen by action table invites
        start_time = 384179234,
        member_count = 14,
        votes_yes = {},
        votes_no  = {}
    }

}



policy_table_format = {
    "create_child_org": {
        defer_to = nil,
        
        -- duration
        duration = nil, -- evaluates end conditions when reached

        -- thesholds
        no_threshold = nil, -- fails if reached
        yes_threshold = nil, -- succeeds if reached

        --ratios
        consent_ratio = nil, -- % of voters
        quorum = nil, -- % of members that vote
    }
    "create_child_org": {
        consent_threshold = 0.51,
        max_duration = 89324, -- seconds until vote closes if threshold not reached, or nil for no limit
        defer = nil, -- org id to defer to, or nil
    }
}